Issues with Safari 5.1 on OSX and Adobe Reader

Please note this only affects Safari 5.1. Apple have since released a fix so we recommend making sure your browser is up-to-date.

Apple changed plug-in support in Safari 5.1 which stopped Adobe Reader plug-in from functioning; this is officially recognised by adobe

If this happens you may experience having to download a PDF rather then it opening inside the browser.

As a fix we are recommending schubert-it.com/pluginpdf/ as a plug-in that works with 5.1, and is free for personal use.


I found this helpful
I did not find this helpful

Didn't find what you were looking for? Feel free to call or send us an email